> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Authorization Status

> Use this API to update the status of the authorisation from INITIALIZED to SUCCESS or FAILED. Provide the authID and the payment status. This is applicable only in the test environment.



## OpenAPI

````yaml post /api/v2/subscriptions/seamless/authorization/simulate
openapi: 3.0.0
info:
  title: Cashfree Subscription API
  description: >-
    Create and manage subscriptions and collect recurring payments from
    customers easily with Cashfree Subscriptions.
  version: v2
servers:
  - url: https://sandbox.cashfree.com
    description: Sandbox server
  - url: https://api.cashfree.com
    description: Production server
security: []
externalDocs:
  url: https://docs.cashfree.com/reference/postman-collection-1
  description: This url will have the information of all the APIs.
paths:
  /api/v2/subscriptions/seamless/authorization/simulate:
    post:
      tags:
        - Seamless APIs
      summary: Update Authorization Status
      description: >-
        Use this API to update the status of the authorisation from INITIALIZED
        to SUCCESS or FAILED. Provide the authID and the payment status. This is
        applicable only in the test environment.
      operationId: updateAuthorizationStatus
      parameters:
        - name: X-Client-Id
          in: header
          required: true
          schema:
            type: string
            description: Client ID provided by Cashfree.
            example: asdf1234
        - name: X-Client-Secret
          in: header
          required: true
          schema:
            type: string
            description: Client Secret provided by Cashfree.
            example: qwer9876
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                authId:
                  type: integer
                  description: Authorization ID for which the status is to be updated.
                  example: 52250
                paymentStatus:
                  type: string
                  description: >-
                    The new status of the authorization. It could be "SUCCESS"
                    or other valid statuses.
                  example: SUCCESS
            examples:
              Update Authorization Request:
                value:
                  authId: 52250
                  paymentStatus: SUCCESS
      responses:
        '200':
          description: Successful update of authorization status.
          content:
            application/json:
              examples:
                Successful Update:
                  value:
                    status: 200
                    message: Update Authorization Successful
                    data:
                      authId: 53296
        '400':
          description: Bad request due to invalid authorization state or ID.
          content:
            application/json:
              examples:
                Authorization Does Not Exist:
                  value:
                    status: ERROR
                    subCode: '400'
                    message: 'Authorization Does not exist for id : 5225000'
                Invalid Authorization State:
                  value:
                    status: ERROR
                    subCode: '400'
                    message: >-
                      Invalid Authorization State : Expected Status :
                      INITIALIZED : Actual Status : PENDING
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the API call.
                    example: ERROR
                  message:
                    type: string
                    description: Error message.
                    example: Server encountered an unexpected condition.

````